Skip to main content
Platform O&M/Cloud Monitoring/Monitoring and Alarm/SNS/ZWatch Operations/Alarm Operations
PUTAlarm OperationsSince 3.8.0SynchronousAuth Required

UpdateSubscribeEvent

UpdateSubscribeEvent

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidString

    Optional. The event alarm UUID.

Body Fields

  • updatesubscribeeventObjectRequired

    updatesubscribeevent request body object.

    • emergencyLevelString

      Optional. The alarm emergency level.

  • systemTagsList

    Optional.

  • userTagsList

    Optional.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryEventSubscriptionInventoryRequired

    See inventory.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • namespaceStringRequired

      The namespace.

    • eventNameStringRequired

      The event name.

    • lastOpDateTimestampRequired

      The last operation date.

    • createDateTimestampRequired

      The creation date.

    • emergencyLevelStringRequired

      The arm emergency level.

    • stateEventSubscriptionStateRequired

      See state.

      • nameStringRequired

        The resource name.

      • ordinalintRequired

        No description provided.

    • actionsListRequired

      See actions.

      • subscriptionUuidStringRequired

        The event subscription UUID.

      • actionTypeStringRequired

        The action type.

      • actionUuidStringRequired

        The action UUID.

    • labelsListRequired

      See labels.

      • uuidStringRequired

        The resource UUID.

      • keyStringRequired

        The label key.

      • valueStringRequired

        The label value.

      • operatorOperatorRequired

        See operator.

        • opStringRequired

          操作符。

        • nameStringRequired

          The resource name.

        • ordinalintRequired

          No description provided.

Endpoint

PUT/zstack/v1/zwatch/events/subscriptions/{uuid}/actions

/zstack/v1/zwatch/events/subscriptions/{uuid}/actions

Operation ID

UpdateSubscribeEvent

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/zwatch/events/subscriptions/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updatesubscribeevent":{"emergencyLevel":"<emergencyLevel>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "d1b38b37691948218df07900a2c1c065", "name": "vm_state_change_event", "namespace": "ZStack/VM", "eventName": "org.zstack.zwatch.datatype.EventFamily@35324244", "state": "Enabled", "actions": [ { "subscriptionUuid": "30d1075270c94f6e9312c1a4404cc67a", "actionType": "sns", "actionUuid": "33308113390a472286df32a99cd477ef" } ], "labels": [ { "uuid": "26246baade39495c99d018d826ae576e", "key": "DestinationHostUuid", "operator": "Equal", "value": "79e249b6995a4c819d8e6cd33798135a" } ], "lastOpDate": "Jan 11, 2020 11:48:35 PM", "createDate": "Jan 11, 2020 11:48:35 PM", "emergencyLevel": "Emergent" } }

Change History

This API has no change history records yet.

View all change history